//varyingϐ
varying vec4 vertexPos;
uniform sampler2D tex0;
float imgW = 1280.0;
float imgH = 720.0;
float dx = 1.0/imgW;
float dy = 1.0/imgH;
uniform int size;
uniform float weight0;

//tOg
void main(void)
{
	int i, j, m, n;
	int s0 = (size-1) / 2;
	float weight;
	vec2 offset;
	vec3 col = vec3(0.0);

	for(j = 0; j < size; j++) {
		for(i = 0; i < size; i++) {
			offset = vec2(float(-s0 + i) * dx, float(-s0 + j) * dy);
			weight = 1.0 / (float(size * size) + weight0 - 1.0);
			col += texture2D(tex0, gl_TexCoord[0].st + offset).rgb * weight;
		}
	}

	gl_FragColor = vec4(col, 1.0);
}
